const systemMenuObj = [
   // 系统管理
   {
    component: "Layout",
    icon: "",
    id: "homePage",
    menuType: "MENU",
    name: "HomePage",
    parentId: "0",
    redirect: "/homePage/dashboard",
    remark: "首页",
    router: "/homePage",
    hidden: 0
  },
  {
    component: "/dashboard/index",
    icon: "dashboard",
    id: "dashboard",
    menuType: "MENU",
    name: "Dashboard",
    parentId: "homePage",
    redirect: "",
    remark: "首页",
    router: "dashboard",
    hidden: 0
  },
  // 系统管理
  {
    component: "Layout",
    icon: "",
    id: "system",
    menuType: "MENU",
    name: "system",
    parentId: "0",
    redirect: "/system/users",
    remark: "系统管理",
    router: "/system",
    hidden: 0
  },
  {
    component: "/page/system/users/index",
    icon: "el-icon-setting",
    id: "user",
    menuType: "MENU",
    name: "users",
    parentId: "system",
    redirect: "",
    remark: "用户管理",
    router: "users",
    hidden: 0
  },
  {
    component: "/page/system/role/index",
    icon: "el-icon-setting",
    id: "role",
    menuType: "MENU",
    name: "role",
    parentId: "system",
    redirect: "",
    remark: "角色管理",
    router: "role",
    hidden: 0
  },
  {
    component: "/page/system/function/index",
    icon: "el-icon-setting",
    id: "function",
    menuType: "MENU",
    name: "function",
    parentId: "system",
    redirect: "",
    remark: "菜单管理",
    router: "function",
    hidden: 0
  },
  {
    component: "ParentView",
    icon: "el-icon-setting",
    id: "log",
    menuType: "MENU",
    name: "log",
    parentId: "system",
    redirect: "/system/log/log3",
    remark: "操作日志",
    router: "log",
    hidden: 0
  },
  {
    component: "/page/system/log/index",
    icon: "",
    id: "log3",
    menuType: "MENU",
    name: "log3",
    parentId: "log",
    redirect: "",
    remark: "操作日志3",
    router: "log3",
    hidden: 0
  },
 
  {
    component: "/page/system/notice/index",
    icon: "el-icon-setting",
    id: "notice",
    menuType: "MENU",
    name: "notice",
    parentId: "system",
    redirect: "",
    remark: "集团发布公告",
    router: "notice",
    hidden: 0
  },
  // 数据服务
  {
    component: "Layout",
    icon: "",
    id: "server",
    menuType: "MENU",
    name: "server",
    parentId: "0",
    redirect: "/server/dic",
    remark: "数据服务",
    router: "/server",
    hidden: 0
  },
  {
    component: "/page/dataService/dic/index",
    icon: "el-icon-coin",
    id: "dic",
    menuType: "MENU",
    name: "dic",
    parentId: "server",
    redirect: "",
    remark: "字典管理",
    router: "dic",
    hidden: 0
  },
  {
    component: "/page/dataService/code/index",
    icon: "el-icon-coin",
    id: "code",
    menuType: "MENU",
    name: "code",
    parentId: "server",
    redirect: "",
    remark: "编码规则管理",
    router: "code",
    hidden: 0
  },

  // 我的任务
  {
    component: "Layout",
    icon: "",
    id: "mission",
    menuType: "MENU",
    name: "mission",
    parentId: "0",
    redirect: "/mission",
    remark: "我的任务",
    router: "/mission",
    hidden: 0
  },
  {
    component: "/page/mission/index",
    icon: "el-icon-tickets",
    id: "missionmy",
    menuType: "MENU",
    name: "missionmy",
    parentId: "mission",
    redirect: "",
    remark: "我的任务",
    router: "missionmy",
    hidden: 0
  }
];
export default systemMenuObj;
